<script lang="ts">
  import { getLocalizer } from '../../../module/utils.js'
  import Source from './Source.svelte'

  import { getContext } from 'svelte'
  import { CharacterDataAccessor } from '../../../module/model/character.js'
  import { Writable } from 'svelte/store'
  import { hasName } from '../../../module/model/utils.js'

  const localize = getLocalizer()

  let doc = getContext<Writable<CharacterDataAccessor>>('doc')

  $: sources = $doc.sources
  $: sortedSources = sources
    .filter(hasName)
    .sort((a, b) => a.name.localeCompare(b.name))
</script>

<div class="sources">
  <div class="head">
    <div class="source-label">{localize('name')}</div>
    <div class="source-attributes">
      <div>ZfW</div>
    </div>
  </div>
  {#each sortedSources as source}
    <div class="source">
      <Source bind:source />
    </div>
  {/each}
</div>

<style>
  .head {
    font-weight: bold;
    font-size: medium;
    margin-top: 20px;
    display: flex;
  }

  .source-attributes {
    display: flex;
    justify-content: space-between;
    width: 34%;
  }

  .source-label {
    width: 66%;
  }

  .source:nth-child(even) {
    background-color: rgba(255, 255, 255, 0.2);
  }
</style>
